Subject: Re: [PATCH net-next v2] r8169: expose software counters through netdev qstats

From: Gustavo Arantes <[email-masked]>
Date: Mon, 27 Apr 2026 18:35:55 -0300

On Mon, Apr 27, 2026 at 11:21:44PM +0200, Heiner Kallweit wrote:
> What do you mean with RTNL here?

I meant the rtnetlink link statistics exposed through ndo_get_stats64(),
i.e. struct rtnl_link_stats64.

> Counters are exposed to userspace already. So what's the benefit of
> duplicating this functionality? To me the patch looks like AI slop.

The benefit I had in mind was coverage for userspace using the netdev
qstats generic-netlink interface, so that it could query r8169 through
the same qstats path as drivers which already implement netdev_stat_ops.

That said, it does not expose additional driver-specific information.

> This is generic, driver-independent code. If exposing dev->tstats this
> way makes sense, then this should go to net core.

Agreed, I'll drop this version. Thanks for the review.